/*****
 NAME
 	fobject.h - function prototypes for operate object
 VERSION
 	$Id$
 CHANGELOG
 	$Log$
 */

#if !defined(FOBJECT_H_INCLUDED)
#define FOBJECT_H_INCLUDED

#include <coconut/tglib.h>

gboolean equal_object_func(gconstpointer a, gconstpointer b) ;

/* functions typed "dealloc_func_t" */
void remove_nothing_func(gpointer data) ;
void remove_object_func(gpointer data) ;
void remove_memory_func(gpointer data) ;

#endif /* !define FOBJECT_H_INCLUDED */

